.import-view {
    height: 100%;
    width: 100%;
    box-sizing: border-box;
    padding: 24px 24px 24px 48px;
}

.import-view > .card {
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    padding: 24px;
    border-radius: 8px;
    box-shadow: rgba(163, 225, 220, 0.7) 0px 0px 6px;
    background-color: var(--main-soft);
    overflow: hidden;
    transition: 0.6s;
    cursor: default;
}

.import-view > .card .action {
    position: relative;
    display: flex;
    height: 24px;
    width: 24px;
    box-sizing: border-box;
    border-radius: 12px;
    background-color: var(--theme);
    color: var(--text-color);
    font-family: Inter;
    font-size: 12px;
    font-weight: 600;
    opacity: 1;
    overflow: visible;
    transition: 0.4s;
    cursor: pointer;
}

.import-view > .card.active .action.close:hover {
    width: 76px;
    padding: 0px 12px;
}

.import-view > .card .action > img {
    height: 50%;
    width: auto;
    margin: 0 8px 0 6px;
    transition: 0.6s;
    cursor: pointer;
}

.import-view > .card .action:hover > img {
    margin: 0 8px 0 0;
}

.import-view > .card .action > span {
    width: 0px;
    overflow: hidden;
    transition: 0.7s;
}

.import-view > .card .action:hover > span {
    width: fit-content;
}

.import-view > .card label.id {
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top: 0;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    opacity: 1;
    transition: 0.6s;
    cursor: default;
}

.import-view > .card select.id {
    display: block;
    width: fit-content;
    min-width: 48px;
    box-sizing: border-box;
    padding: 4px 0;
    border: 1px solid transparent;
    background-color: transparent;
    color: var(--text-color);
    font-family: Inter;
    font-size: 20px;
    font-weight: 700;
    transition: 0.6s;
    cursor: pointer;
}

.import-view > .card select.id:hover {
    border-bottom: 1px solid var(--focus-hard);
}

.import-view > .card select.id:focus {
    border-bottom: 1px solid var(--focus-hard);
}

.import-view > .card select.id.invalid {
    border-color: var(--alert);
}

.import-view > .card select.id.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.import-view > .card .card-content {
    height: calc(100% - 50px);
    width: 100%;
}

.import-view .button {
    width: fit-content;
    box-sizing: border-box;
    padding: 8px 12px;
    border: none;
    border-radius: 4px;
    margin-top: 24px;
    background-color: var(--focus);
    color: var(--text-color);
    font-family: Inter;
    font-size: 13px;
    font-weight: 400;
    transition: 0.6s;
    cursor: pointer;
}

.import-view .button:hover {
    background-color: var(--focus-hard);
}

.import-view .element {
    width: 80px;
    box-sizing: border-box;
    padding: 8px 12px;
    border: none;
    border-radius: 4px;
    margin-top: 24px;
    margin-right: 16px;
    background-color: var(--main);
    color: var(--text-color);
    font-family: Inter;
    font-size: 13px;
    font-weight: 400;
    text-align: center;
    transition: 0.6s;
    cursor: pointer;
}

.import-view .element:hover {
    background-color: var(--main-softer);
}

.import-view .element.selected {
    background-color: var(--main-softer);
}

.import-view .list {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    gap: 8px;
    width: 100%;
    box-sizing: border-box;
    padding: 8px;
    border: 1px solid var(--focus-hard);
    border-radius: 6px;
    margin-top: 40px;
}

.import-view .list > div {
    box-sizing: border-box;
    padding: 10px;
    border-radius: 4px;
    color: var(--text-color);
    font-family: Inter;
    font-size: 12px;
    font-weight: 600;
    transition: 0.6s;
    cursor: pointer;
}

.import-view .list > div:hover {
    background-color: var(--main);
}

.import-view .list > div.selected {
    background-color: var(--focus-hard);
}

.import-view .button > img {
    height: 16px;
    margin-right: 8px;
}